
export * from "../shared_js/utils.js"

function countdown(count: number, callback?: (count: number) => void, endCallback?: () => void)
{
	console.log("countdown ", count);
	if (count > 0) {
		if (callback) {
			callback(count);
		}
		setTimeout(countdown, 1000, --count, callback, endCallback);
	}
	else if (endCallback) {
		endCallback();
	}
}

export {countdown}
